Subject: RE: [netlmm] Terminology confusion in draft-sgundave-mip6-proxymip6-01

From: "Barnaba Barnowski" <[email-masked]>
Date: Tue, 23 Jan 2007 10:07:44 -0500

Kuntal,
 
Let us put the highly contentious topic of terminology aside for the
moment.  Since you are one of the draft authors, could you please point
me to the section in which the draft describes how PMIPv6 and MIPv6 can
both be supported at the same time for the same mobile? 

Cheers,
Barney

-----Original Message-----
From: Chowdhury, Kuntal [mailto:[email-masked]] 
Sent: Monday, January 22, 2007 7:40 PM
To: Barnowski, Barnaba (WIC:2T00); [email-masked]
Subject: RE: [netlmm] Terminology confusion in
draft-sgundave-mip6-proxymip6-01

> preclude the use of the other. (Although, per the current draft, I am 
> not sure if both can operate at the same time - but that is a
different
> topic.) As a consequence each protocol may end up serving a different 
> purpose in the end architecture, and therefore clearer terminology
would
> help the discussions.

Barney, I am confused with your statement above. It seems you are not
sure whether the current draft precluded PMIP6 and CMIP6 simultaneous
operation or not....but w/o attempting to make sure that is indeed the
case, you want to introduce new terminology!

-Kuntal

> -----Original Message-----
> From: Barnaba Barnowski [mailto:[email-masked]]
> Sent: Thursday, January 18, 2007 2:15 PM
> To: Chowdhury, Kuntal; [email-masked]
> Subject: RE: [netlmm] Terminology confusion in draft-sgundave-mip6-
> proxymip6-01
> 
> Hi Kuntal:
> 
> Grant it, 3GPP2 has not fully settled on the use of PMIP.  However, as

> you probably know this is an active topic of discussion not just
limited
> to HRPD FHO.  PMIP is also being considered as a candidate protocol in

> other areas of the architecture.
> 
> I agree with folks that are advocating terminology that disambiguates 
> PMIP from other protocols. While the Home Agent functionality maybe 
> nearly identical between MIPv6 and PMIPv6 they are still different 
> protocols.  I'm assuming that as per goal #7 of the 'nohost' draft
they
> are meant to operate independently and that the use of one does not 
> preclude the use of the other. (Although, per the current draft, I am 
> not sure if both can operate at the same time - but that is a
different
> topic.) As a consequence each protocol may end up serving a different 
> purpose in the end architecture, and therefore clearer terminology
would
> help the discussions.
> 
> Cheers
> Barney
> 
> 
> -----Original Message-----
> From: Chowdhury, Kuntal [mailto:[email-masked]]
> Sent: Thursday, January 18, 2007 6:59 AM
> To: Barnowski, Barnaba (WIC:2T00); [email-masked]
> Subject: RE: [netlmm] Terminology confusion in
> draft-sgundave-mip6-proxymip6-01
> 
> Barney,
> 
> Just to make a clarification: 3GPP2 has not formally adopted any text 
> that describes PMIP protocol operation. Albeit there were some 
> discussion on PMIP and its use in HRPD fast handoff, but as you may be

> aware, nothing has been finalized yet. So, the reference to p-HA vs.
the
> HA that is used for Client MIP is not a valid justification to backup 
> your views.
> 
> 
> The way the current I-D is written, it does not preclude the use of
the
> same Home Agent to serve MIP sessions crated with PMIP6 and CMIP6.
> Moreover, one of the motivations for defining PMIP6 is to reuse the
MIP6
> protocol and MIP6 functional elements as much as possible. The 
> terminologies used in MIP are well understood. Changes can certainly
be
> made to the terminologies if there were good reasons to do so. We are 
> looking for a better reason to justify a change of terminology of the 
> common functional elements.
> 
> -Kuntal
> 
> 
> > -----Original Message-----
> > From: Barnaba Barnowski [mailto:[email-masked]]
> > Sent: Wednesday, January 17, 2007 11:02 PM
> > To: [email-masked]
> > Subject: RE: [netlmm] Terminology confusion in draft-sgundave-mip6-
> > proxymip6-01
> >
> > Hi:
> >
> > The re-use of MIP6 terminology in the context of PMIP6 protocol 
> > definition creates some confusion, especially when discussing 
> > architecture in different SDOs.  Specifically it muddles the
> discussion
> > about PMIP6/MIP6 co-existence and interaction.  While I agree that
in
> > the near term the focus should be on defining PMIP6 protocol, the
> issue
> > of PMIP6/MIP6 co-existence still needs to be addressed (and soon!).
> > Shared terminology will make this more difficult.  For instance in
> 3GPP2
> > the PMIP HA (p-HA, LMA) will not always be co-located with a client
> MIP
> > HA.   It is therefore much easier to discuss the PMIP6/MIP6
> interaction
> > (or opaqueness) if one can refer to an HA and mean MIP6 and an LMA
and
> 
> > mean PMIP6.  The actual functionality of an HA and an LMA may still
be
> 
> > very similar, if not the same.
> >
> > Cheers
> > Barney
> >
> > _______________________________________________
> > netlmm mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/netlmm
> 
> 
> "This email message and any attachments are confidential information
of
> Starent Networks, Corp. The information transmitted may not be used to

> create or change any contractual obligations of Starent Networks,
Corp.
> Any review, retransmission, dissemination or other use of, or taking
of
> any action in reliance upon this e-mail and its attachments by persons

> or entities other than the intended recipient is prohibited. If you
are
> not the intended recipient, please notify the sender immediately -- by

> replying to this message or by sending an email to 
> [email-masked] -- and destroy all copies of this
message
> and any attachments without reading or disclosing their contents.
Thank
> you."

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

---

From: Sri Gundavelli <[email-masked]>
Date: Tue, 23 Jan 2007 08:04:53 -0800 (PST)

Hi Barney,

When you say, "CMIP and PMIP at the same time", I'm assuming
you are talking about the mobile's ability to switch from
being a CMIP node to a PMIP node or vice versa.

Section 6.9, covers the coexistence of CMIP and PMIP nodes.
Couple of points:

- There is text on how the home agent needs to distinguish between
   a Proxy BU vs a BU.
- Text on how Seq Number logic needs to be handled when the mobile
   uses CMIP and later PMIP or vice versa
- There is text on how the proxy mobile agent behaves when it
   detects a mobile that is not allowed for the proxy service and
   how the proxy projects a local prefix on that access link.

Bottom line, this specification does support the home agent to
simultaneously host both mobile nodes that are CMIP capable and
mobiles that are not, it also ensures the proxy mobile agent
on the access link can support visitor nodes that are MIP6
capable.

Please let us know, if there is any text missing and we will fix
it in the next rev.

Regards
Sri